## NAME

g.mlist - Lists available GRASS data base files of the user-specified data type optionally using the search pattern.

## KEYWORDS

general, map management

## SYNOPSIS

g.mlist
g.mlist help
g.mlist [-retmpf] type=datatype[,datatype,...] [pattern=string] [exclude=string] [separator=string] [mapset=string] [--verbose] [--quiet]

### Flags:

-r
  Use basic regular expressions instead of wildcards
-e
  Use extended regular expressions instead of wildcards
-t
  Print data types
-m
  Print fully-qualified map names (including mapsets)
-p
  Pretty printing in human readable format
-f
  Verbose listing (also list map titles)
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

type=datatype[,datatype,...]
  Data type
  Options: rast,rast3d,vect,oldvect,asciivect,icon,labels,sites,region,region3d,group,3dview,all
  Default: rast
pattern=string
  Map name search pattern (default: all)
exclude=string
  Map name exclusion pattern (default: none)
separator=string
  One-character output separator, newline, comma, space, or tab
  Default: newline
mapset=string
  Mapset to list (default: current search path)

## DESCRIPTION

g.mlist searches for data files matching a pattern given by wildcards or POSIX Extended Regular Expressions.

## EXAMPLES

List all available GRASS data base files:

      g.mlist type=all

List all raster and vector maps:

      g.mlist type=rast,vect

### Wildcards:

List all vector maps starting with letter "r":

      g.mlist type=vect pattern="r*"

List certain raster maps with one variable character/number:

      g.mlist type=rast pattern="N45E00?.meters"

Use of exclude parameter:

    # without exclude:
    g.mlist rast pat="r*" mapset=PERMANENT
    railroads
    roads
    rstrct.areas
    rushmore

    # exclude only complete word(s):
    g.mlist rast pat="r*" exclude=roads mapset=PERMANENT
    railroads
    rstrct.areas
    rushmore

    # exclude with wildcard:
    g.mlist rast pat="r*" exclude="*roads*" mapset=PERMANENT
    rstrct.areas
    rushmore

### Regular expressions:

Print out all soils map with "soils" in their name:

    g.mlist -r type=rast pattern='^soils'

Print out "tmp" if "tmp" raster map exists:

      g.mlist -r pattern='^tmp$'

Print out "tmp0" ..."tmp9" if corresponding vector map exists (each map name linewise):

      g.mlist -r type=vect pattern='^tmp[0-9]$'

Print out "tmp0" ..."tmp9" if corresponding vector map exists (each map name comma separated):

      g.mlist -r type=vect separator=, pattern='^tmp[0-9]$'

This may be useful for other programs' parameter input (e.g. r.series).

## SEE ALSO

g.list

Regular expression (from Wikipedia, the free encyclopedia)

## AUTHOR

Huidae Cho
grass4u@gmail.com

Last changed: $Date: 2011-06-03 18:42:11 +0200 (pá, 03 VI 2011) $

Main index - general index - Full index

© 2003-2014 GRASS Development Team